Health
21 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getClientHealthDetail | GET | Get client health detail (deprecated) |
| getClientHealthTimeList | GET | Get client health time line |
| getApHealthDetail | GET | Get ap health detail |
| getApHealthTimeList | GET | Get ap health time line |
| getOsgHealthDetail | GET | Get gateway health detail |
| getOsgHealthTimeList | GET | Get gateway health time line |
| getSiteClientHealthTimeList | GET | Get site client health time line |
| getSiteHealthTimeList | GET | Get site health time line |
| getOswHealthDetail | GET | Get switch health detail |
| getOswHealthTimeList | GET | Get switch health time line |
| getMultiOswHealthTimeList | GET | Batch get switch health time line |
| getWifiClientInfoList | POST | Get site wifi top k device/client |
| getWifiHealthTimeList | GET | Get site wifi health time line |
| getWifiSubHealthTimeList | GET | Get site wifi sub health detail |
| getMspApHealthDetail | GET | Get msp ap health detail |
| getMspApHealthTimeList | GET | Get msp ap health time line |
| getMspOsgHealthDetail | GET | Get msp gateway health detail |
| getMspOsgHealthTimeList | GET | Get msp gateway health time line |
| getMspOswHealthDetail | GET | Get msp switch health detail |
| getMspOswHealthTimeList | GET | Get msp switch health time line |
| getClientHealthDetailV2 | GET | Get client health detail (V2) |
getClientHealthDetail
GET /openapi/v1/{omadacId}/sites/{siteId}/clients/{clientMac}/health/detail
Deprecated
This operation is deprecated.
Get client health detail
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
clientMac | path | string | yes | Client MAC address, like AA-BB-CC-DD-EE-FF |
start | query | integer | yes | Start timestamp, in milliseconds, such as 174951360000 |
end | query | integer | yes | End timestamp, in milliseconds, such as 1749600000000 |
// omada_call_operation
{
"operationId": "getClientHealthDetail",
"params": {
"siteId": "<siteId>",
"clientMac": "<clientMac>",
"start": "<start>",
"end": "<end>"
}
}Details, permissions and error codes
Get client health detail
The interface requires one of the permissions:
Site Clients Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-41011 - This client does not exist.
getClientHealthTimeList
GET /openapi/v1/{omadacId}/sites/{siteId}/clients/{clientMac}/health/timeline
Get client health time line
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
clientMac | path | string | yes | Client MAC address, like AA-BB-CC-DD-EE-FF |
start | query | integer | yes | Start timestamp, in milliseconds, such as 174951360000 |
end | query | integer | yes | End timestamp, in milliseconds, such as 1749600000000 |
// omada_call_operation
{
"operationId": "getClientHealthTimeList",
"params": {
"siteId": "<siteId>",
"clientMac": "<clientMac>",
"start": "<start>",
"end": "<end>"
}
}Details, permissions and error codes
Get client health time line
The interface requires one of the permissions:
Site Clients Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-41011 - This client does not exist.
getApHealthDetail
GET /openapi/v1/{omadacId}/sites/{siteId}/eaps/{apMac}/health/detail
Get ap health detail
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
apMac | path | string | yes | AP MAC address, like AA-BB-CC-DD-EE-FF |
start | query | integer | yes | Start timestamp, in milliseconds, such as 174951360000 |
end | query | integer | yes | End timestamp, in milliseconds, such as 1749600000000 |
// omada_call_operation
{
"operationId": "getApHealthDetail",
"params": {
"siteId": "<siteId>",
"apMac": "<apMac>",
"start": "<start>",
"end": "<end>"
}
}Details, permissions and error codes
Get ap health detail
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39303 - AP does not exist.
getApHealthTimeList
GET /openapi/v1/{omadacId}/sites/{siteId}/eaps/{apMac}/health/timeline
Get ap health time line
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
apMac | path | string | yes | AP MAC address, like AA-BB-CC-DD-EE-FF |
start | query | integer | yes | Start timestamp, in milliseconds, such as 174951360000 |
end | query | integer | yes | End timestamp, in milliseconds, such as 1749600000000 |
// omada_call_operation
{
"operationId": "getApHealthTimeList",
"params": {
"siteId": "<siteId>",
"apMac": "<apMac>",
"start": "<start>",
"end": "<end>"
}
}Details, permissions and error codes
Get ap health time line
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39303 - AP does not exist.
getOsgHealthDetail
GET /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/health/detail
Get gateway health detail
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Gateway MAC address, like AA-BB-CC-DD-EE-FF |
start | query | integer | yes | Start timestamp, in milliseconds, such as 174951360000 |
end | query | integer | yes | End timestamp, in milliseconds, such as 1749600000000 |
wirelessRouter | query | boolean | no | Whether the device is a wireless router |
// omada_call_operation
{
"operationId": "getOsgHealthDetail",
"params": {
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>",
"start": "<start>",
"end": "<end>"
}
}Details, permissions and error codes
Get gateway health detail
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
getOsgHealthTimeList
GET /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/health/timeline
Get gateway health time line
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Gateway MAC address, like AA-BB-CC-DD-EE-FF |
start | query | integer | yes | Start timestamp, in milliseconds, such as 174951360000 |
end | query | integer | yes | End timestamp, in milliseconds, such as 1749600000000 |
// omada_call_operation
{
"operationId": "getOsgHealthTimeList",
"params": {
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>",
"start": "<start>",
"end": "<end>"
}
}Details, permissions and error codes
Get gateway health time line
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
getSiteClientHealthTimeList
GET /openapi/v1/{omadacId}/sites/{siteId}/health/client/timeline
Get site client health time line
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
start | query | integer | yes | Start timestamp, in milliseconds, such as 174951360000 |
end | query | integer | yes | End timestamp, in milliseconds, such as 1749600000000 |
// omada_call_operation
{
"operationId": "getSiteClientHealthTimeList",
"params": {
"siteId": "<siteId>",
"start": "<start>",
"end": "<end>"
}
}Details, permissions and error codes
Get site client health time line
The interface requires one of the permissions:
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
getSiteHealthTimeList
GET /openapi/v1/{omadacId}/sites/{siteId}/health/timeline
Get site health time line
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
start | query | integer | yes | Start timestamp, in milliseconds, such as 174951360000 |
end | query | integer | yes | End timestamp, in milliseconds, such as 1749600000000 |
// omada_call_operation
{
"operationId": "getSiteHealthTimeList",
"params": {
"siteId": "<siteId>",
"start": "<start>",
"end": "<end>"
}
}Details, permissions and error codes
Get site health time line
The interface requires one of the permissions:
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
getOswHealthDetail
GET /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/health/detail
Get switch health detail
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
start | query | integer | yes | Start timestamp, in milliseconds, such as 174951360000 |
end | query | integer | yes | End timestamp, in milliseconds, such as 1749600000000 |
// omada_call_operation
{
"operationId": "getOswHealthDetail",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>",
"start": "<start>",
"end": "<end>"
}
}Details, permissions and error codes
Get switch health detail
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
getOswHealthTimeList
GET /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/health/timeline
Get switch health time line
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
start | query | integer | yes | Start timestamp, in milliseconds, such as 174951360000 |
end | query | integer | yes | End timestamp, in milliseconds, such as 1749600000000 |
// omada_call_operation
{
"operationId": "getOswHealthTimeList",
"params": {
"siteId": "<siteId>",
"switchMac": "<switchMac>",
"start": "<start>",
"end": "<end>"
}
}Details, permissions and error codes
Get switch health time line
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
getMultiOswHealthTimeList
GET /openapi/v1/{omadacId}/sites/{siteId}/switches/health/timeline
Batch get switch health time line
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
macs | query | string | yes | Switch MAC address list, using comma separator, like AA-BB-CC-DD-EE-FF,FF-EE-DD-CC-BB-AA |
start | query | integer | yes | Start timestamp, in milliseconds, such as 174951360000 |
end | query | integer | yes | End timestamp, in milliseconds, such as 1749600000000 |
// omada_call_operation
{
"operationId": "getMultiOswHealthTimeList",
"params": {
"siteId": "<siteId>",
"macs": "<macs>",
"start": "<start>",
"end": "<end>"
}
}Details, permissions and error codes
Batch get switch health time line
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
getWifiClientInfoList
POST /openapi/v1/{omadacId}/sites/{siteId}/wifi/health/client/list
**Get site wifi top k device/client **
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema WifiDeviceAndClientQueryVO
| Field | Type | Required | Description |
|---|---|---|---|
time | integer | yes | Time(unit:ms) |
searchKey | string | no | Fuzzy query parameters, support field name,mac |
sorts | object | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. |
topK | integer | no | The topK elements, which must be less than 100 |
// omada_call_operation
{
"operationId": "getWifiClientInfoList",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Get site wifi top k device/client
The interface requires one of the permissions:
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
getWifiHealthTimeList
GET /openapi/v1/{omadacId}/sites/{siteId}/wifi/health/timeline
Get site wifi health time line
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
start | query | integer | yes | Start timestamp, in milliseconds, such as 174951360000 |
end | query | integer | yes | End timestamp, in milliseconds, such as 1749600000000 |
// omada_call_operation
{
"operationId": "getWifiHealthTimeList",
"params": {
"siteId": "<siteId>",
"start": "<start>",
"end": "<end>"
}
}Details, permissions and error codes
Get site wifi health time line
The interface requires one of the permissions:
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
getWifiSubHealthTimeList
GET /openapi/v1/{omadacId}/sites/{siteId}/wifi/sub/health/timeline
**Get site wifi sub health detail **
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
start | query | integer | yes | Start timestamp, in milliseconds, such as 174951360000 |
end | query | integer | yes | End timestamp, in milliseconds, such as 1749600000000 |
// omada_call_operation
{
"operationId": "getWifiSubHealthTimeList",
"params": {
"siteId": "<siteId>",
"start": "<start>",
"end": "<end>"
}
}Details, permissions and error codes
Get site wifi sub health detail
The interface requires one of the permissions:
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
getMspApHealthDetail
GET /openapi/v1/msp/{mspId}/customers/{customerId}/sites/{siteId}/eaps/{apMac}/health/detail
Get msp ap health detail
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
customerId | path | string | yes | Customer ID |
siteId | path | string | yes | Site ID (site ID or site name) |
apMac | path | string | yes | AP MAC address, like AA-BB-CC-DD-EE-FF |
start | query | integer | yes | Start timestamp, in milliseconds, such as 174951360000 |
end | query | integer | yes | End timestamp, in milliseconds, such as 1749600000000 |
// omada_call_operation
{
"operationId": "getMspApHealthDetail",
"params": {
"customerId": "<customerId>",
"siteId": "<siteId>",
"apMac": "<apMac>",
"start": "<start>",
"end": "<end>"
}
}Details, permissions and error codes
Get msp ap health detail
The interface requires one of the permissions:
MSP Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39303 - AP does not exist.
getMspApHealthTimeList
GET /openapi/v1/msp/{mspId}/customers/{customerId}/sites/{siteId}/eaps/{apMac}/health/timeline
Get msp ap health time line
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
customerId | path | string | yes | Customer ID |
siteId | path | string | yes | Site ID (site ID or site name) |
apMac | path | string | yes | AP MAC address, like AA-BB-CC-DD-EE-FF |
start | query | integer | yes | Start timestamp, in milliseconds, such as 174951360000 |
end | query | integer | yes | End timestamp, in milliseconds, such as 1749600000000 |
// omada_call_operation
{
"operationId": "getMspApHealthTimeList",
"params": {
"customerId": "<customerId>",
"siteId": "<siteId>",
"apMac": "<apMac>",
"start": "<start>",
"end": "<end>"
}
}Details, permissions and error codes
Get msp ap health time line
The interface requires one of the permissions:
MSP Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39303 - AP does not exist.
getMspOsgHealthDetail
GET /openapi/v1/msp/{mspId}/customers/{customerId}/sites/{siteId}/gateways/{gatewayMac}/health/detail
Get msp gateway health detail
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
customerId | path | string | yes | Customer ID |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Gateway MAC address, like AA-BB-CC-DD-EE-FF |
start | query | integer | yes | Start timestamp, in milliseconds, such as 174951360000 |
end | query | integer | yes | End timestamp, in milliseconds, such as 1749600000000 |
wirelessRouter | query | boolean | no | Whether the device is a wireless router |
// omada_call_operation
{
"operationId": "getMspOsgHealthDetail",
"params": {
"customerId": "<customerId>",
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>",
"start": "<start>",
"end": "<end>"
}
}Details, permissions and error codes
Get msp gateway health detail
The interface requires one of the permissions:
MSP Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
getMspOsgHealthTimeList
GET /openapi/v1/msp/{mspId}/customers/{customerId}/sites/{siteId}/gateways/{gatewayMac}/health/timeline
Get msp gateway health time line
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
customerId | path | string | yes | Customer ID |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Gateway MAC address, like AA-BB-CC-DD-EE-FF |
start | query | integer | yes | Start timestamp, in milliseconds, such as 174951360000 |
end | query | integer | yes | End timestamp, in milliseconds, such as 1749600000000 |
// omada_call_operation
{
"operationId": "getMspOsgHealthTimeList",
"params": {
"customerId": "<customerId>",
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>",
"start": "<start>",
"end": "<end>"
}
}Details, permissions and error codes
Get msp gateway health time line
The interface requires one of the permissions:
MSP Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
getMspOswHealthDetail
GET /openapi/v1/msp/{mspId}/customers/{customerId}/sites/{siteId}/switches/{switchMac}/health/detail
Get msp switch health detail
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
customerId | path | string | yes | Customer ID |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
start | query | integer | yes | Start timestamp, in milliseconds, such as 174951360000 |
end | query | integer | yes | End timestamp, in milliseconds, such as 1749600000000 |
// omada_call_operation
{
"operationId": "getMspOswHealthDetail",
"params": {
"customerId": "<customerId>",
"siteId": "<siteId>",
"switchMac": "<switchMac>",
"start": "<start>",
"end": "<end>"
}
}Details, permissions and error codes
Get msp switch health detail
The interface requires one of the permissions:
MSP Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
getMspOswHealthTimeList
GET /openapi/v1/msp/{mspId}/customers/{customerId}/sites/{siteId}/switches/{switchMac}/health/timeline
Get msp switch health time line
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
customerId | path | string | yes | Customer ID |
siteId | path | string | yes | Site ID (site ID or site name) |
switchMac | path | string | yes | Switch MAC address, like AA-BB-CC-DD-EE-FF |
start | query | integer | yes | Start timestamp, in milliseconds, such as 174951360000 |
end | query | integer | yes | End timestamp, in milliseconds, such as 1749600000000 |
// omada_call_operation
{
"operationId": "getMspOswHealthTimeList",
"params": {
"customerId": "<customerId>",
"siteId": "<siteId>",
"switchMac": "<switchMac>",
"start": "<start>",
"end": "<end>"
}
}Details, permissions and error codes
Get msp switch health time line
The interface requires one of the permissions:
MSP Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
getClientHealthDetailV2
GET /openapi/v2/{omadacId}/sites/{siteId}/clients/{clientMac}/health/detail
Get client health detail (V2)
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
clientMac | path | string | yes | Client MAC address, like AA-BB-CC-DD-EE-FF |
start | query | integer | yes | Start timestamp, in milliseconds, such as 174951360000 |
end | query | integer | yes | End timestamp, in milliseconds, such as 1749600000000 |
// omada_call_operation
{
"operationId": "getClientHealthDetailV2",
"params": {
"siteId": "<siteId>",
"clientMac": "<clientMac>",
"start": "<start>",
"end": "<end>"
}
}Details, permissions and error codes
Get client health detail (V2)
The interface requires one of the permissions:
Site Clients Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-41011 - This client does not exist.